#ifndef _CIGARETTE_JD
#define _CIGARETTE_JD

#include <opencv2/opencv.hpp>
#include <opencv2/dnn.hpp>
#include <opencv2/dnn/shape_utils.hpp>
#include <opencv2/imgproc.hpp>
#include <opencv2/highgui.hpp>
#include <iostream>
#include <fstream>
#include "common.h"
class AlgJd
{
	public:
		bool init(QString path_model, QString path_jpg);
		bool test_detect();
		bool test_detect_batcht(int shoot);
        int detect(cv::Mat& in, cv::Mat &out, std::vector<std::pair<int, cv::Rect> > &results);
		void detect_batch(std::vector<cv::Mat>& vec_in, std::vector<cv::Mat> &vec_out, std::vector<std::vector<std::pair<int, cv::Rect> > > &vec_results);
	private:
		cv::dnn::Net net;
};

#endif  //end of _CIGARETTE_JD
